VirtualBox

Ticket #18077 (closed defect: fixed)

Opened 5 months ago

Last modified 5 months ago

Repository 'VirtualBox for Fedora 28 - x86_64' update imposible -> fixed

Reported by: SkipMMT Owned by:
Component: other Version: VirtualBox 5.2.20
Keywords: Cc:
Guest type: other Host type: Linux

Description

Can't update to 5.2.20 on Fedora 28. Seems to be similar to ticket 18057 but for Fedora instead of opensuse

dnf -v --refresh upgrade
Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync, system-upgrade
DNF version: 2.7.5
cachedir: /var/cache/dnf
reviving: 'updates' can be revived - repomd matches.
updates: using metadata from Tue 23 Oct 2018 01:55:29 PM MST.
reviving: 'fedora' can be revived - repomd matches.
not found deltainfo for: Fedora 28 - x86_64
not found updateinfo for: Fedora 28 - x86_64
fedora: using metadata from Tue 24 Apr 2018 09:27:32 PM MST.
reviving: failed for 'virtualbox', mismatched repomd.
Cannot download 'http://download.virtualbox.org/virtualbox/rpm/fedora/28/x86_64': Yum repo downloading error: Downloading error(s): repodata/8797acb2bdc4a098c1ebade2f11ff827324fddb42bd09973fef46490574f617f-primary.xml.gz - Cannot download, all mirrors were already tried without success.
Failed to synchronize cache for repo 'virtualbox', disabling.
Last metadata expiration check: 0:00:00 ago on Wed 24 Oct 2018 11:20:56 AM MST.
Missing file *modules.yaml in metadata cache dir: /var/cache/dnf/updates-3da4dabc82b8d7a0
Missing file *modules.yaml in metadata cache dir: /var/cache/dnf/fedora-f538a89832a62144
--> Starting dependency resolution
--> Finished dependency resolution
Dependencies resolved.
Nothing to do.
Complete!

Change History

comment:1 Changed 5 months ago by jkk

I have the same issue. Probably the problem occurs because of redirection in repository links.  http://download.virtualbox.org/virtualbox/rpm/fedora/28 redirects to  http://download.virtualbox.org/virtualbox/rpm/fedora/26

comment:2 Changed 5 months ago by beacon

A fresh install is similarly impossible.

This is because the repodata points to the wrong place.

This URL (note 28 in the URL)...

 http://download.virtualbox.org/virtualbox/rpm/fedora/28/x86_64/repodata/

...is an index of links relating to version 26.

comment:3 Changed 5 months ago by michael

Please try again. The pointers to version 26 in the HTML index file are not relevant here. All files - including the indexes - are duplicated from version 26, but they are still separate copies. We just did not bother to adjust the HTML files which are only for human consumption.

comment:4 Changed 5 months ago by SkipMMT

Fixed. Update is now successful. Thank you.

comment:5 Changed 5 months ago by michael

  • Status changed from new to closed
  • Resolution set to fixed
  • Summary changed from Repository 'VirtualBox for Fedora 28 - x86_64' update imposible to Repository 'VirtualBox for Fedora 28 - x86_64' update imposible -> fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use